#!/bin/sh
arch=arm-linux
cc=$arch-gcc
cpp=$arch-g++
ranlib=$arch-ranlib
builddir=`pwd`
topdir=${builddir}/../..
qtdir=${topdir}/opt/Qtopia
archive=tmp_plugins.ar
includes="-I${builddir} -I${qtdir}/include -I${qtdir}/sharp/include"
#libdir="-L${qtdir}/sharp/lib"
flags="-O2 -DLSB_FIRST=1 -DHAVE_SYS_DIR_H -DHAVE_DIRENT_H -DHAVE_STROPTS_H -DHAVE_UNIX98_PTYS -DSQUEAK_BUILTIN_PLUGIN -DUSE_AUDIO_OSS"
#libs="-lqte -lqpe"

doit(){
	echo $*
	nice $*
	if [ $? != 0 ] ;then exit;fi
}


ccparts=""
cppparts=""
mocparts="" 

rm $archive plugins.ar

for bar in *.c;do
	foo=${bar%.c}
	doit $cc -c $includes $flags $foo.c -o $foo.o
	doit ar -r $archive $foo.o
        rm $foo.o
done

doit arm-linux-ranlib $archive
mv $archive plugins.ar
