#include <stdio.h>
#include <sys/param.h>
#include "sq.h"


char        imageName[MAXPATHLEN+1];		/* full path to image */

int inputEventSemaIndex = 0;

char *squeakPlugins= 0;

time_t convertToSqueakTime(time_t unixTime)
{
#ifdef HAVE_TM_GMTOFF
  unixTime+= localtime(&unixTime)->tm_gmtoff;
#else
# ifdef HAVE_TIMEZONE
  unixTime+= ((daylight) * 60*60) - timezone;
# else
#  error: cannot determine timezone correction
# endif
#endif
  /* Squeak epoch is Jan 1, 1901.  Unix epoch is Jan 1, 1970: 17 leap years
     and 52 non-leap years later than Squeak. */
  return unixTime + ((52*365UL + 17*366UL) * 24*60*60UL);
}

/* Return true if access to the given file is allowed.  Grant permission
   to access only those files in directories at or under the image directory. 
   Note: vmPath is actually the path to the image.
   NOTE ALSO: that this is broken.  Symbolic links will confuse it. -- ikp
 */
int plugInAllowAccessToFilePath(char *pathString, int pathStringLength)
{
  return true;
}

void gsmEncode(
	int state, int frameCount,
	int src, int srcIndex, int srcSize,
	int dst, int dstIndex, int dstSize,
	int *srcDelta, int *dstDelta)
{}
	
void gsmDecode(
	int state, int frameCount,
	int src, int srcIndex, int srcSize,
	int dst, int dstIndex, int dstSize,
	int *srcDelta, int *dstDelta)
{}
	
void gsmInitState(int state)
{}

int gsmStateBytes(void)
{return 1;}





